package rlemaigr.classdiagrameditor.commands;

import org.eclipse.gef.commands.*;
import rlemaigr.classdiagrameditor.model.*;

public class CreateMethodCommand extends Command
{
	private ListModel list;
	private MethodModel newMethod;
	
	public CreateMethodCommand(ListModel list, MethodModel newMethod)
	{
		this.newMethod = newMethod;
		this.list = list;
	}
	public void execute()
	{
		list.addElement(newMethod);
	}
	public void redo()
	{
		execute();
	}
	public void undo()
	{
		list.removeElement(newMethod);
	}
}

