package rlemaigr.classdiagrameditor;

import org.eclipse.gef.*;
import rlemaigr.classdiagrameditor.model.*;
import rlemaigr.classdiagrameditor.editparts.*;

public class EditPartFactoryImpl implements EditPartFactory
{
	public EditPart createEditPart(EditPart context, Object model)
	{
		System.out.println("hop");
		if(model instanceof DiagramModel)
		{
			DiagramEditPart part = new DiagramEditPart();
			part.setModel(model);
			System.out.println("diagramditpart built");
			return part;
		}
		if(model instanceof ClassModel)
		{
			ClassEditPart part = new ClassEditPart();
			part.setModel(model);
			System.out.println("classeditpart built");
			return part;
		}
		if(model instanceof MethodListModel)
		{
			MethodListEditPart part = new MethodListEditPart();
			part.setModel(model);
			System.out.println("methodlisteditpart built");
			return part;
		}
		if(model instanceof AttributeListModel)
		{
			AttributeListEditPart part = new AttributeListEditPart();
			part.setModel(model);
			System.out.println("attributelisteditpart built");
			return part;
		}
		if(model instanceof AttributeModel)
		{
			AttributeEditPart part = new AttributeEditPart();
			part.setModel(model);
			System.out.println("attributeeditpart built");
			return part;
		}
		if(model instanceof MethodModel)
		{
			MethodEditPart part = new MethodEditPart();
			part.setModel(model);
			System.out.println("methodeditpart built");
			return part;
		}
		if(model instanceof InheritanceModel)
		{
			InheritanceEditPart part = new InheritanceEditPart();
			part.setModel(model);
			System.out.println("InheritanceEditPart built");
			return part;
		}
		System.out.println("erreur dans l'editpartfactory !!!");
		return null;
	}
}
