package rlemaigr.classdiagrameditor.editparts;

import org.eclipse.gef.editparts.*;
import rlemaigr.classdiagrameditor.model.*;
import java.beans.*;

public abstract class ObjectEditPart
	extends AbstractGraphicalEditPart
	implements PropertyChangeListener
{
	public void activate()
	{
		if (!isActive())
		{
			super.activate();
			((ObjectModel)getModel()).addPropertyChangeListener(this);
		}
	}
	public void deactivate()
	{
		super.deactivate();
		((ObjectModel)getModel()).removePropertyChangeListener(this);
	}
	public void propertyChange(PropertyChangeEvent ev)
	{
	}
	public void createEditPolicies()
	{
	}
}
